Debian Bug report logs - #544114
installation-reports: No networking on Dell Vostro 1320

Package: installation-reports; Maintainer for installation-reports is Debian Install Team <debian-boot@lists.debian.org>;

Reported by: Sam Morris <sam@robots.org.uk>

Date: Fri, 28 Aug 2009 23:33:02 UTC

Severity: important

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#544114; Package installation-reports. (Fri, 28 Aug 2009 23:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 28 Aug 2009 23:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: No networking on Dell Vostro 1320
Date: Sat, 29 Aug 2009 00:24:20 +0100
Package: installation-reports
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

eth0 is detected but the installer fails to get a DHCP response from the
server. Configuring the network manually also does not work..

The network card is:

08:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
   Kernel driver in use: r8169
   Kernel modules: r8169

Network-related kernel messages:

r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:08:00.0 to 64
r8169: 0000:08:00.0: unknown MAC (2b1000c0)
eth0: RTL8169 at 0xffffc2000036e000, 00:24:e8:c2:9e:5b, XID 281000c0 ORQ 1282

- -- Package-specific info:

Boot method: DVD
Image version: Lenny 5.0.2 amd64
Date: Sat Aug 29 00:20:04 BST 2009

Machine: Dell Vostro 1320

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [E]
Detect CD:              [ ]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

- -- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (430, 'testing'), (420, 'unstable'), (410, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqYZx0ACgkQshl/216gEHifCgCgoKSow82b6Z83UqDceCtMgesO
7psAn21sA+e0i6FihSLX71ZcET1n2sWL
=F8we
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#544114; Package installation-reports. (Sat, 29 Aug 2009 07:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 29 Aug 2009 07:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 544114@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Sam Morris <sam@robots.org.uk>, 544114@bugs.debian.org
Subject: Re: Bug#544114: installation-reports: No networking on Dell Vostro 1320
Date: Sat, 29 Aug 2009 08:54:25 +0200
[Message part 1 (text/plain, inline)]
Quoting Sam Morris (sam@robots.org.uk):
> Package: installation-reports
> Severity: important
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> eth0 is detected but the installer fails to get a DHCP response from the
> server. Configuring the network manually also does not work..
> 
> The network card is:
> 
> 08:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
>    Kernel driver in use: r8169
>    Kernel modules: r8169
> 
> Network-related kernel messages:
> 
> r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
> ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 17 (level, low) -> IRQ 17
> PCI: Setting latency timer of device 0000:08:00.0 to 64
> r8169: 0000:08:00.0: unknown MAC (2b1000c0)
> eth0: RTL8169 at 0xffffc2000036e000, 00:24:e8:c2:9e:5b, XID 281000c0 ORQ 1282
> 
> - -- Package-specific info:
> 
> Boot method: DVD
> Image version: Lenny 5.0.2 amd64
> Date: Sat Aug 29 00:20:04 BST 2009


Could you try with the daily builds (that are using kernel 2.6.30
while Lenny CDs are using 2.6.26 kernels)?


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#544114; Package installation-reports. (Sat, 29 Aug 2009 11:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 29 Aug 2009 11:15:09 GMT) Full text and rfc822 format available.

Message #15 received at 544114@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Christian Perrier <bubulle@debian.org>
Cc: 544114@bugs.debian.org
Subject: Re: Bug#544114: installation-reports: No networking on Dell Vostro 1320
Date: Sat, 29 Aug 2009 12:07:02 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2009-08-29 at 08:54 +0200, Christian Perrier wrote:
> Quoting Sam Morris (sam@robots.org.uk):
> > Package: installation-reports
> > Severity: important
> > 
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA1
> > 
> > eth0 is detected but the installer fails to get a DHCP response from the
> > server. Configuring the network manually also does not work..
> > 
> > The network card is:
> > 
> > 08:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
> >    Kernel driver in use: r8169
> >    Kernel modules: r8169
> > 
> > Network-related kernel messages:
> > 
> > r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
> > ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 17 (level, low) -> IRQ 17
> > PCI: Setting latency timer of device 0000:08:00.0 to 64
> > r8169: 0000:08:00.0: unknown MAC (2b1000c0)
> > eth0: RTL8169 at 0xffffc2000036e000, 00:24:e8:c2:9e:5b, XID 281000c0 ORQ 1282
> > 
> > - -- Package-specific info:
> > 
> > Boot method: DVD
> > Image version: Lenny 5.0.2 amd64
> > Date: Sat Aug 29 00:20:04 BST 2009
> 
> 
> Could you try with the daily builds (that are using kernel 2.6.30
> while Lenny CDs are using 2.6.26 kernels)?

With the image I just downloaded from
<http://saimei.acc.umu.se/cdimage/daily-builds/daily/arch-latest/amd64/iso-cd/debian-testing-amd64-businesscard.iso>, the system freezes displaying only this message:

(process:1154): INFO: kbd-mode: setting console mode to Unicode (UTF-8).

To be precise: caps lock toggles the keyboard light, but pressing Alt
+F1-4 don't have any effect.

-- 
Sam Morris
https://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#544114; Package installation-reports. (Sat, 29 Aug 2009 11:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 29 Aug 2009 11:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 544114@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Sam Morris <sam@robots.org.uk>, 544114@bugs.debian.org
Subject: Re: Bug#544114: installation-reports: No networking on Dell Vostro 1320
Date: Sat, 29 Aug 2009 13:26:31 +0200
Am Samstag, den 29.08.2009, 12:07 +0100 schrieb Sam Morris:
> On Sat, 2009-08-29 at 08:54 +0200, Christian Perrier wrote:
> > Quoting Sam Morris (sam@robots.org.uk):
> > > Package: installation-reports
> > > Severity: important
> > > 
> > > -----BEGIN PGP SIGNED MESSAGE-----
> > > Hash: SHA1
> > > 
> > > eth0 is detected but the installer fails to get a DHCP response from the
> > > server. Configuring the network manually also does not work..
> > > 
> > > The network card is:
> > > 
> > > 08:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
> > >    Kernel driver in use: r8169
> > >    Kernel modules: r8169
> > > 
> > > Network-related kernel messages:
> > > 
> > > r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
> > > ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 17 (level, low) -> IRQ 17
> > > PCI: Setting latency timer of device 0000:08:00.0 to 64
> > > r8169: 0000:08:00.0: unknown MAC (2b1000c0)
> > > eth0: RTL8169 at 0xffffc2000036e000, 00:24:e8:c2:9e:5b, XID 281000c0 ORQ 1282
> > > 
> > > - -- Package-specific info:
> > > 
> > > Boot method: DVD
> > > Image version: Lenny 5.0.2 amd64
> > > Date: Sat Aug 29 00:20:04 BST 2009
> > 
> > 
> > Could you try with the daily builds (that are using kernel 2.6.30
> > while Lenny CDs are using 2.6.26 kernels)?
> 
> With the image I just downloaded from
> <http://saimei.acc.umu.se/cdimage/daily-builds/daily/arch-latest/amd64/iso-cd/debian-testing-amd64-businesscard.iso>, the system freezes displaying only this message:
> 
> (process:1154): INFO: kbd-mode: setting console mode to Unicode (UTF-8).
> 
> To be precise: caps lock toggles the keyboard light, but pressing Alt
> +F1-4 don't have any effect.
> 

Add `nopat' to the kernel options.
This is a known bug and already fixed upstream.

-- 
Felix Zielcke
Proud Debian Maintainer





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#544114; Package installation-reports. (Sat, 29 Aug 2009 11:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 29 Aug 2009 11:54:05 GMT) Full text and rfc822 format available.

Message #25 received at 544114@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Felix Zielcke <fzielcke@z-51.de>
Cc: 544114@bugs.debian.org
Subject: Re: Bug#544114: installation-reports: No networking on Dell Vostro 1320
Date: Sat, 29 Aug 2009 12:34:15 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2009-08-29 at 13:26 +0200, Felix Zielcke wrote:
> Am Samstag, den 29.08.2009, 12:07 +0100 schrieb Sam Morris:
> > On Sat, 2009-08-29 at 08:54 +0200, Christian Perrier wrote:
> > > Quoting Sam Morris (sam@robots.org.uk):
> > > > Package: installation-reports
> > > > Severity: important
> > > > 
> > > > -----BEGIN PGP SIGNED MESSAGE-----
> > > > Hash: SHA1
> > > > 
> > > > eth0 is detected but the installer fails to get a DHCP response from the
> > > > server. Configuring the network manually also does not work..
> > > > 
> > > > The network card is:
> > > > 
> > > > 08:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
> > > >    Kernel driver in use: r8169
> > > >    Kernel modules: r8169
> > > > 
> > > > Network-related kernel messages:
> > > > 
> > > > r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
> > > > ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 17 (level, low) -> IRQ 17
> > > > PCI: Setting latency timer of device 0000:08:00.0 to 64
> > > > r8169: 0000:08:00.0: unknown MAC (2b1000c0)
> > > > eth0: RTL8169 at 0xffffc2000036e000, 00:24:e8:c2:9e:5b, XID 281000c0 ORQ 1282
> > > > 
> > > > - -- Package-specific info:
> > > > 
> > > > Boot method: DVD
> > > > Image version: Lenny 5.0.2 amd64
> > > > Date: Sat Aug 29 00:20:04 BST 2009
> > > 
> > > 
> > > Could you try with the daily builds (that are using kernel 2.6.30
> > > while Lenny CDs are using 2.6.26 kernels)?
> > 
> > With the image I just downloaded from
> > <http://saimei.acc.umu.se/cdimage/daily-builds/daily/arch-latest/amd64/iso-cd/debian-testing-amd64-businesscard.iso>, the system freezes displaying only this message:
> > 
> > (process:1154): INFO: kbd-mode: setting console mode to Unicode (UTF-8).
> > 
> > To be precise: caps lock toggles the keyboard light, but pressing Alt
> > +F1-4 don't have any effect.
> > 
> 
> Add `nopat' to the kernel options.
> This is a known bug and already fixed upstream.

Ok, with 'nopat' the network card works fine--thanks!

-- 
Sam Morris
https://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Sat, 29 Aug 2009 12:30:32 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Sat, 29 Aug 2009 12:30:32 GMT) Full text and rfc822 format available.

Message #30 received at 544114-done@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Sam Morris <sam@robots.org.uk>, 544114-done@bugs.debian.org
Subject: Re: Bug#544114: installation-reports: No networking on Dell Vostro 1320
Date: Sat, 29 Aug 2009 14:02:20 +0200
[Message part 1 (text/plain, inline)]
Quoting Sam Morris (sam@robots.org.uk):

> > Add `nopat' to the kernel options.
> > This is a known bug and already fixed upstream.
> 
> Ok, with 'nopat' the network card works fine--thanks!


OK, closing the bug report, then, as this is fixed in the development
version of D-I.

Thanks for reporting and thanks to Felix Zielcke for the hint.


[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Sep 2009 07:28:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:49:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.